<div class="container">
  <form [formGroup]="searchForm" (ngSubmit)="onSubmit()">

    <div class="form-row">
      <div class="form-group col">
        <label>Nom de la mission</label>
        <input type="text" class="form-control form-control-sm" formControlName="nomMission" placeholder="Nom mission">
      </div>

      <div class="form-group col">
        <label>Nom du client</label>
        <input type="text" class="form-control form-control-sm" formControlName="nomClient" placeholder="Nom du client">
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-6">
        <label>Département</label>
        <select class="form-control form-control-sm" (change)="onChange()" formControlName="departement">
          <option value=""></option>
          <option *ngFor="let d of departements" [value]="d.code">{{d.nom}}</option>
        </select>
      </div>

      <div class="form-group col" *ngIf="showVille">
        <label>Ville</label>
        <select class="form-control form-control-sm" formControlName="ville">
          <option value=""></option>
          <option *ngFor="let c of communes" [value]="c.nom">{{c.nom}}</option>
        </select>
      </div>
    </div>

    <div class="form-group">
      <label>Domaine</label>
      <select class="form-control form-control-sm" formControlName="domaine">
        <option value=""></option>
        <option *ngFor="let opt of domaines" [value]="opt">{{opt}}</option>
      </select>
    </div>

    <button type="submit" class="btn btn-primary mx-3">Filtrer</button>
  </form>
</div>
<app-references *ngIf="show" [filter]="filter"></app-references>
